HMWJGraphInternal Namespace Reference

Internal: the structures of a HMWJGraph. More...

## Classes

struct | CellFormat
| a cell format in HMWJGraph More...
struct | TableCell
| a table cell in a table in HMWJGraph More...
struct | Table
| Internal: the table of a HMWJGraph. More...
struct | FrameFormat
| a frame format in HMWJGraph More...
struct | Frame
| Internal: the frame header of a HMWJGraph. More...
struct | CommentFrame
| Internal: the comment frame of a HMWJGraph. More...
struct | GroupFrame
| Internal: a group of a HMWJGraph. More...
struct | PictureFrame
| Internal: the picture frame of a HMWJGraph. More...
struct | SeparatorFrame
| Internal: a footnote separator of a HMWJGraph. More...
struct | TableFrame
| Internal: the table frame of a HMWJGraph. More...
struct | TextboxFrame
| Internal: the textbox frame of a HMWJGraph. More...
struct | TextFrame
| Internal: the text frame (basic, header, footer, footnote) of a HMWJGraph. More...
struct | BasicGraph
| Internal: the geometrical graph of a HMWJGraph. More...
struct | State
| Internal: the state of a HMWJGraph. More...
class | SubDocument
| Internal: the subdocument of a HMWJGraph. More...

## Functions

std::ostream & | operator<< (std::ostream &o, TableCell const &cell)
std::ostream & | operator<< (std::ostream &o, Frame const &grph)

## Detailed Description

Internal: the structures of a HMWJGraph.

## Function Documentation

std::ostream& HMWJGraphInternal::operator<< | ( | std::ostream & | o,
|  | TableCell const & | cell
| ) |  |

std::ostream& HMWJGraphInternal::operator<< | ( | std::ostream & | o,
|  | Frame const & | grph
| ) |  |